<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package yuno
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php yuno_wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'yuno' ); ?></a>
	<div  class="header-wrapper">
		<header id="masthead" class="site-header">
			<?php
			/**
	         * yuno_header_top_bar hook
	         *
	         * @hooked - yuno_top_bar_start - 5
	         * @hooked - yuno_top_bar_social_icons - 10
	         * @hooked - yuno_top_bar_contact_details - 15
	         * @hooked - yuno_top_bar_end - 20
	         *
	         * @since 1.0.0
	         */
	          do_action( 'yuno_header_top_bar' );

	        /**
	         * yuno_header_section hook
	         *
	         * @hooked - yuno_top_header_start - 5
	         * @hooked - yuno_site_branding - 10
	         * @hooked - yuno_header_nav_menu - 15
	         * @hooked - yuno_header_search_box - 20
	         * @hooked - yuno_header_navbar_end - 25
	         *
	         * @since 1.0.0
	         */
	          do_action( 'yuno_header_section' );
	      ?>
		</header><!-- #masthead -->
    </div>