<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Helper functions used all over the theme
 */
/**
 * Custom functions that act independently of the theme templates
 *
 * Eventually, some of the functionality here could be replaced by core features
 *
 * @package yuno
 */
/*
  Return
 *
 *  */

if ( !function_exists( 'yuno_theme_mod_option' ) ) {

	function yuno_theme_mod_option( $option ) {
		// Get options
		return get_theme_mod( $option, yuno_theme_mod_defaults( $option ) );
	}

}

if ( !function_exists( 'yuno_theme_mod_defaults' ) ) {

	function yuno_theme_mod_defaults( $options ) {

		$default = array(
			'yuno_menu_sticky_option'	    => 'show',
			'yuno_bead_div_option'	      => 'show',
			'yuno_scroll_to_top'	        => 'show',
			'yuno_single_sidebar_layout'  => 'right_sidebar',
			'yuno_blog_sidebar_layout'	  => 'right_sidebar',
			'yuno_page_sidebar_layout'	  => 'right_sidebar',
			'yuno_site_layout'	          => 'fullwidth_layout',
			'yuno_copyright_text'	        => esc_html__( 'Copyright © 2021 | All Rights Reserved.', 'yuno' ),
			'yuno_copyright_text_color'	  => '#191919',
			'yuno_fwidget_text_color'	    => '#162238',
			'yuno_show_author'	          => 'show',
			'yuno_show_date'	            => 'show',
			'yuno_show_fimage'	          => 'show',
			'yuno_show_category'	        => 'show',
			'yuno_show_tags'	            => 'show',
			'yuno_blog_excerpt_length'	  => 30,
			'yuno_archive_read_more_text' => esc_html__( 'Read More', 'yuno' ),
			'yuno_radio_post_content'	    => 'excerpt',
			'yuno_radio_post_pagination'  => 'pagination',
			'yuno_show_single_author'	    => 'show',
			'yuno_show_single_date'	      => 'show',
			'yuno_show_single_fimage'	    => 'show',
			'yuno_show_single_category'	  => 'show',
			'yuno_show_single_tags'	      => 'show',
			'yuno_show_single_nav'	      => 'show',
			'yuno_header_bg_option'	      => 'hide',
			'yuno_pageloader'	            => 'show',
		);

		if ( !empty( $default[ $options ] ) )
			return $default[ $options ];
	}

}