<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package yuno
 */

get_header();
get_template_part( 'breadcrumb' );

$pagination     = yuno_theme_mod_option( 'yuno_show_single_nav' );
$single_sidebar = yuno_theme_mod_option( 'yuno_single_sidebar_layout' );
if ( $single_sidebar == 'no_sidebar' ) {
	$class = 'col-lg-12';
} else {
	$class = 'col-lg-8';
}

?>
</div>
<div class=" container"> 
	<div class="row">
		<?php if ( $single_sidebar == 'left_sidebar' ) get_sidebar(); ?>
		<main id="primary" class="site-main <?php echo esc_attr( $class ); ?>">
			<?php
			while ( have_posts() ) :
				the_post();
				get_template_part( 'template-parts/content', 'single' );

				if ( $pagination == 'show' ) {
					$next_post = get_next_post();
					$prev_post = get_previous_post();
						
					if ( ( ! empty ( $prev_post ) ) || ( ! empty ( $next_post ) ) )	{
					?>
						<!--Next Prev Posts-->
						<article class="post-navigation">
							<div class="row">
								<?php
									//Previous Post
									if ( ! empty( $prev_post ) ) :
										$prev_title     = strip_tags( str_replace('"', '', $prev_post->post_title ) );
										$prev_thumbnail = get_the_post_thumbnail_url( $prev_post->ID );
									?>  
									<div class="col-6">
										<div class="prev">
											<a class="prev-post-label" href="<?php echo esc_attr( esc_url( get_permalink( get_previous_post() ) ) ); ?>">
												<div class="prev-post-title">
													<span><i class="fas fa-angle-double-left"></i> <?php esc_html_e( 'Previous post','yuno' ) ?></span>
													<h4><?php echo esc_html( $prev_title ); ?></h4>
												</div>
												<?php if ( ! empty ( $prev_thumbnail ) ) { ?>
													<figure>
														<img width="160" height="160" src="<?php echo esc_url( $prev_thumbnail ); ?>" class="attachment-thumbnail size-thumbnail wp-post-image" alt="">
													</figure>	
												<?php } ?>
											</a>
										</div>
									</div>
								<?php
									endif;
									
									//Next Post
									if ( ! empty( $next_post ) ) :
										$next_title     = strip_tags( str_replace( '"', '', $next_post->post_title ) );
										$next_thumbnail = get_the_post_thumbnail_url( $next_post->ID );
								?>
									<div class="col-6 text-right">
										<div class="next">
											<a class="next-post-label" href="<?php echo esc_attr( esc_url( get_permalink( get_next_post() ) ) ); ?>">
												<div class="next-post-title">
													<span><?php esc_html_e( 'Next post','yuno' ) ?> <i class="fas fa-angle-double-right"></i></span>
													<h4><?php echo esc_html( $next_title ); ?></h4>
												</div>
												<?php if ( ! empty ( $next_thumbnail ) ) { ?>
													<figure>
														<img width="160" height="160" src="<?php echo esc_url( $next_thumbnail ); ?>" class="attachment-thumbnail size-thumbnail wp-post-image" alt="">
													</figure>
												<?php } ?>
											</a>
										</div>
									</div>
								<?php endif; ?>
							</div>
						</article>
						<!--/ Next Prev Posts-->
					<?php }
				}
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			// Reset Post Data
			wp_reset_postdata();
			?>
		</main><!-- #main -->
		<?php if ( $single_sidebar == 'right_sidebar' ) get_sidebar(); ?>
	</div>
</div>
<?php 
get_footer();